-- Deploy camper:amenity_carousel_i18n to pg
-- requires: roles
-- requires: schema_camper
-- requires: amenity_carousel
-- requires: language

begin;

set search_path to camper, public;

create table amenity_carousel_i18n (
	amenity_id integer not null,
	media_id integer not null,
	lang_tag text not null references language,
	caption text,
	primary key (amenity_id, media_id, lang_tag),
	foreign key (amenity_id, media_id) references amenity_carousel
);

grant select on table amenity_carousel_i18n to guest;
grant select on table amenity_carousel_i18n to employee;
grant select, insert, update, delete on table amenity_carousel_i18n to admin;

commit;
