-- Deploy camper:amenity_feature_i18n to pg
-- requires: roles
-- requires: schema_camper
-- requires: amenity_feature
-- requires: language

begin;

set search_path to camper, public;

create table amenity_feature_i18n (
	amenity_feature_id integer not null references amenity_feature,
	lang_tag text not null references language,
	name text,
	primary key (amenity_feature_id, lang_tag)
);

grant select on table amenity_feature_i18n to guest;
grant select on table amenity_feature_i18n to employee;
grant select, insert, update, delete on table amenity_feature_i18n to admin;

commit;
